View Issue Details

This bug affects 1 person(s).
 6
IDProjectCategoryView StatusLast Update
16861Bug reportsPluginspublic2020-11-30 11:37
ReporterDenisChenu Assigned ToDenisChenu  
PrioritynoneSeveritypartial_block 
Status closedResolutionfixed 
Product Version3.25.1 
Fixed in Version3.25.1 
Summary16861: ComfortUpdateChecker can broke other plugin (your LimeSAML plugin)
DescriptionWhen update to 3.25.1 with your LimeSAML plugin :
1. debug set : receive a notice about 2 time same constant
2. debug set and a update exist (havking some code) : 500 error (bads constant usage)
Steps To ReproduceOn a 3.23 : Get LimeSAML with `define('ROOT_FOLDER', __DIR__.'/');` at start of plugin (unsure on version)
Activate LimeSAML

Set debug to 2 : update to 3.25.1
Additional InformationI din't know if LimeSAML plugin was updated (never have any of information about update …)
TagsNo tags attached.
Bug heat6
Complete LimeSurvey version number (& build)3.25.1
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database type & versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

DenisChenu

DenisChenu

2020-11-26 08:25

developer   ~60761

https://github.com/LimeSurvey/LimeSurvey/pull/1668
LimeBot

LimeBot

2020-11-26 11:07

administrator   ~60763

Thx for fixing that
DenisChenu

DenisChenu

2020-11-26 11:08

developer   ~60764

Fix committed to 3.x-LTS branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=30748
DenisChenu

DenisChenu

2020-11-26 11:20

developer   ~60765

No problem : do you know oif LimeSAML was fixed ?

Els e: i'm unsure on the namespace ComfortUpdateChecker\helpers; usage, i think it's great to use it, then other plugin can use it too :)
LimeBot

LimeBot

2020-11-26 11:43

administrator   ~60766

We fixed a lot of things in LimeSAML the past 6 Months . I don t know wich version of limesurvey you use but i will check all our Premium Plugin and fix all .
Thanks :)
DenisChenu

DenisChenu

2020-11-27 12:20

developer   ~60783

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=30749
lime_release_bot

lime_release_bot

2020-11-30 11:37

administrator   ~60800

Fixed in Release 4.3.29+201130

Related Changesets

LimeSurvey: 3.x-LTS d292f656

2020-11-26 11:08:09

DenisChenu


Committer: GitHub Details Diff
Fixed issue 16861: ComfortUpdateChecker can broke with other plugin (#1668)

Dev: don't create a constant name without checking
Dev: don't use a global constant name
Dev: use Yii
Affected Issues
16861
mod - application/core/plugins/ComfortUpdateChecker/ComfortUpdateChecker.php Diff File
mod - application/core/plugins/ComfortUpdateChecker/helpers/CUCMenuClass.php Diff File

LimeSurvey: master 09a17aa2

2020-11-26 11:08:09

DenisChenu

Details Diff
Fixed issue 16861: ComfortUpdateChecker can broke with other plugin (#1668)
Dev: don't create a constant name without checking
Dev: don't use a global constant name
Dev: use Yii
Dev: cherry-picked from 3.X
Affected Issues
16861
mod - application/core/plugins/ComfortUpdateChecker/ComfortUpdateChecker.php Diff File
mod - application/core/plugins/ComfortUpdateChecker/helpers/CUCMenuClass.php Diff File

Issue History

Date Modified Username Field Change
2020-11-26 08:13 DenisChenu New Issue
2020-11-26 08:25 DenisChenu Assigned To => LimeBot
2020-11-26 08:25 DenisChenu Status new => assigned
2020-11-26 08:25 DenisChenu Status assigned => testing
2020-11-26 08:25 DenisChenu Note Added: 60761
2020-11-26 11:07 LimeBot Note Added: 60763
2020-11-26 11:08 DenisChenu Changeset attached => LimeSurvey 3.x-LTS d292f656
2020-11-26 11:08 DenisChenu Note Added: 60764
2020-11-26 11:08 DenisChenu Assigned To LimeBot => DenisChenu
2020-11-26 11:08 DenisChenu Resolution open => fixed
2020-11-26 11:20 DenisChenu Note Added: 60765
2020-11-26 11:20 DenisChenu Status testing => resolved
2020-11-26 11:20 DenisChenu Fixed in Version => 3.25.1
2020-11-26 11:43 LimeBot Note Added: 60766
2020-11-27 12:20 DenisChenu Changeset attached => LimeSurvey master 09a17aa2
2020-11-27 12:20 DenisChenu Note Added: 60783
2020-11-30 11:37 lime_release_bot Note Added: 60800
2020-11-30 11:37 lime_release_bot Status resolved => closed